<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fileli
 */
$subs = get_category_by_slug('subs')->cat_ID . ',' . get_category_by_slug('home')->cat_ID;
get_header();
?>
  <header id="sectionHeader">
<?php
  the_archive_title( '<h1 class="archive-title ">', '</h1>' );
?>
  </header><!-- .page-header -->
  <div id="primary" class="content-area">
    <nav class="categorymenu" id="secondarymenu">
<?php printf( __( '<h2 class="archive-title">Categorie <a href="%s" title="Archivio">%s</a></h2>', 'fileli'), get_permalink( get_option('page_for_posts', true) ), get_the_title( get_option('page_for_posts', true) ) ); ?>
      <ul>
<?php 
    $args = current_user_can('edit_posts') ? array(
      'title_li' => '', 
      'hide_empty' => false,
      'exclude' => $subs
    ) : array(
      'title_li' => '', 
      'exclude' => '1,' . $subs
    );
    wp_list_categories( $args );
  ?>
      </ul>
    </nav>
    <article>
<?php 
//  echo "<pre>";print_r(get_queried_object());echo "</pre>";
  
  if (current_user_can('edit_posts')) {
	  $category = get_query_var('cat');
	  $current_cat = get_category($category);
?>
      <div class="admin-element">
        <a href="/help/articoli/categorie" class="aio-icon help-link"><?php esc_html_e( 'Why should I use categories?', 'fileli' ); ?></a>
        <a href="/wp-admin/post-new.php?post_type=post&post_cat=<?php echo esc_html($current_cat->slug); ?>" class="edit-link"><?php esc_html_e( 'Insert new post', 'fileli' ); ?></a>
        <span class="aio-note"><?php esc_html_e( 'This new post will classified in the category', 'fileli' ); ?> "<strong><?php echo single_cat_title('', false); ?></strong>".</span>
      </div>
<?php 
  }

  if ( have_posts() ) :
/* Start the Loop */
		while ( have_posts() ) :
			the_post();

      /*
       * Include the Post-Type-specific template for the content.
       * If you want to override this in a child theme, then include a file
       * called content-___.php (where ___ is the Post Type name) and that will be used instead.
       */
      get_template_part( 'template-parts/content', get_post_type() );

    endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
?>
    </article>
<?php 
  get_sidebar();
?>
  </div><!-- #primary -->

<?php
get_footer();
