<?php
/**
 * Template part for displaying page content in page.php and custom templates
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fileli
 */
  if (isset($toplevel_parent_id)) {
?>
    <header class="entry-header"<?php if ($toplevel_parent_id != $post->ID) echo ' id="scroll-target"'; ?>>
      <?php if ($toplevel_parent_id != $post->ID) the_title( '<h2 class="entry-title">', '</h2>' ); ?>
	  </header>
<?php 
  }
  if (!isset($fullscreen)) fileli_post_thumbnail(); 
?>
    <div class="entry-content">
<?php
	the_content();
  wp_link_pages( array(
    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'fileli' ),
    'after'  => '</div>',
  ));
?>
	  </div><!-- .entry-content -->
<?php if ( get_edit_post_link() ) : ?>
		<footer class="entry-footer">
<?php
/*  duplicate_post_clone_post_link( 
    sprintf(
      wp_kses(
        // translators: %s: Name of current post. Only visible to screen readers 
        __( 'Clone <span class="screen-reader-text">%s</span>', 'fileli' ),
        array(
          'span' => array(
            'class' => array(),
          ),
        )
      ),
      get_the_title()
    ),
   '<span class="edit-link">', '</span>', $post->ID 
  ); */
  if (!isset($is_help)) {
    edit_post_link(
      sprintf(
        wp_kses(
          /* translators: %s: Name of current post. Only visible to screen readers */
          __( 'Edit <span class="screen-reader-text">%s</span>', 'fileli' ),
          array(
            'span' => array(
              'class' => array(),
            ),
          )
        ),
        get_the_title()
      ),
      '<span class="edit-link">',
      '</span>'
    );
  }
?>
      <span class="edit-link">
        <a href="/help/clone-edit" title="Help e modelli" class="aio-icon help-link">Help</a>
      </span>
		</footer><!-- .entry-footer -->
<?php endif; ?>
