<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Fileli
 */
get_header();
?>
  <header id="sectionHeader">
		<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'fileli' ); ?></h1>
	</header><!-- .page-header -->
  <div id="primary" class="content-area no-sidebar">
    <nav class="secondarymenu" id="secondarymenu">
    </nav>
    <article>
			<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'fileli' ); ?></p>
<?php
  get_search_form();
  the_widget( 'WP_Widget_Recent_Posts' );
?>
			<h2 class="widget-title"><?php esc_html_e( 'Most Used Categories', 'fileli' ); ?></h2>
      <ul>
        <?php
        wp_list_categories( array(
          'orderby'    => 'count',
          'order'      => 'DESC',
          'show_count' => 1,
          'title_li'   => '',
          'number'     => 10,
        ) );
        ?>
      </ul>
<?php
/* translators: %1$s: smiley */
$fileli_archive_content = '<p>' . sprintf( esc_html__( 'Try looking in the monthly archives. %1$s', 'fileli' ), convert_smilies( ':)' ) ) . '</p>';
the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$fileli_archive_content" );

the_widget( 'WP_Widget_Tag_Cloud' );
?>
		</article><!-- .error-404 -->
  </div><!-- #primary -->
<?php
  get_footer();
?>
