/*! *
 * File modals.js.
 *
 * Handles modal content events
 * Vanilla javascript .
 */


var modals = {
  dyslexic: {
    class: 'dyslexic',
    title: 'EasyReading', 
    content: "EasyReading &egrave; un font ibrido - dal disegno essenziale - perch&eacute; presenta contemporaneamente lettere con grazie (serif) e lettere senza grazie (sans-serif).<br \/>Lo specifico design delle lettere con grazie dedicate, utili a prevenire lo scambio percettivo tra lettere simili per forma, ha permesso di determinare ampi spazi calibrati che contrastano l&apos;effetto affollamento percettivo (crowding effect) dando cos&igrave; maggior respiro alla lettura.<br \/><a href=\"http:\/\/www.easyreading.it\/it\/\" target=\"_blank\" class=\"more\">pi&ugrave; informazioni…<\/a>"
  },
  noDyslexic: {
    content: "Font EasyReading disabilitato."
  },
  _: {
    class: '',
    title: '…', 
    content: "…"
  },
  _help: {
    class: 'help',
    title: 'Help', 
    content: "Il tema WordPress Fileli ha incorporato una sistema di aiuto per i redattori dei contenuti.<br>Questo sistema &egrave; diviso in due parti:<br> - un breve aiuto come questo che state leggendo adesso<br>- e una sezione estesa di aiuto e modello da copiare, che potete raggiungere attraverso il link qui sotto.<br><a href=\"\/help\" target=\"_blank\" class=\"more\">pi&ugrave; informazioni…<\/a>"
  },
  _help_articoli_categorie: {
    class: 'help',
    title: 'Help categorie', 
    content: "In preparation…"
  }
};
const screen = document.getElementById('screen');
const avviso = document.getElementById('avviso');

function CustomAlert(){
	this.render = function(which){
    screen.classList.add('active');
    screen.addEventListener('click', Alert.ok);
    if (which.title !== undefined && which.title !== '') {
      var title = document.createElement('H1');
      var t = document.createTextNode(which.title);
      title.appendChild(t);                                              
      avviso.appendChild(title);
    }
    if (which.content !== undefined && which.content !== '') {
      var content = document.createElement('P');
      content.innerHTML = which.content;
      avviso.appendChild(content);
    }
    if (which.class !== undefined && which.class !== '') {
      avviso.classList.add(which.class);  
    }
    var buttons = document.createElement('DIV');
    var okb = document.createElement('BUTTON');
    okb.append(document.createTextNode('ok'));  
    okb.addEventListener('click', Alert.ok);
    buttons.appendChild(okb); 
    buttons.className = 'buttons'; 
    avviso.appendChild(buttons);  
    avviso.classList.add('active');  
	}
	this.ok = function(){
    setTimeout(function(){
      this.avviso.innerHTML = "";
    }, 1000);
    avviso.className = "";  
    screen.className = "";  
  }
}
var Alert = new CustomAlert();